<%= form_for @changeset, @action, [as: :user, class: "m-form"], fn f -> %>
  <%= if @changeset.action do %>
    <div class="m-form__group">
      <span class="m-form__info m-form__info--error">
        <%= gettext "Oops, something went wrong. Please check your entered data." %>
      </span>
    </div>
  <% end %>

  <div class="m-form__group">
    <%= label f, :display_name, class: "m-form__label" %>
    <%= text_input f, :display_name, [class: "m-form__input", required: true] %>
    <%= error_tag f, :display_name %>
    <span class="m-form__info"><%=
gettext "This will be your username. You can add the name of your organization later." %>
  </div>

  <div class="m-form__group">
    <%= label f, :email, class: "m-form__label" %>
    <%= email_input f, :email, [class: "m-form__input", required: true] %>
    <%= error_tag f, :email %>
    <span class="m-form__info"><%=
gettext "We’ll occasionally send updates about your account to this inbox. We’ll never share your email address with anyone." %></span>
  </div>

  <div class="m-form__group">
    <%= label f, :password, class: "m-form__label" %>
    <%= password_input f, :password, [class: "m-form__input", required: true] %>
    <%= error_tag f, :password %>
    <span class="m-form__info"><%= gettext "Make sure it has at least 8 characters." %></span>
  </div>

  <div class="m-form__group m-form__group--cta">
    <%= link(gettext("Already have an account? Sign in!"), to: Routes.session_path(@conn, :new), class: "m-btn m-btn--text m-btn--sm") %>
    <%= submit gettext("Sign up"), class: "m-btn m-btn--primary" %>
  </div>
<% end %>
